// CurrentTime.h: interface for the CCurrentTime class.
//
//////////////////////////////////////////////////////////////////////

#pragma once

#include "Utility.h"

#include "DllDefines.h"

class MCCTRDLLCLASS CCurrentTime
{
public:
    //  default constructor
    CCurrentTime();

    //  default destructor
    virtual ~CCurrentTime();

    //  update current time
    static void UpdateCurrentTime();

    //  get current time
    static LONGLONG GetCurrentTime();

private:
    //  high resolution performance timer
    static CHighResPerformanceCounter m_hrpcTimer;

    //  Current Time
    static LONGLONG m_lCurrentTime;
};
